<template>
  <header class="bg-white shadow-md h-12 z-50">
    <div class="container max-w-none h-full mx-auto flex items-center pl-5 pr-8">
      <Title/>
      <nav class="menu flex items-center h-full ml-auto mr-4">
        <ul class="flex flex-space-between items-center">
          <li v-for="link in navigationLinks" :key="link.url" class="">
            <a :href="link.url" target="_blank" class="text-decoration-none py-2 px-4 rounded-md hover:bg-gray-100">
              {{ link.label }}
              <i v-if="link.external" class="pi pi-external-link !text-xs ml-1"></i>
            </a>
          </li>
          <li class="pl-3">
            <Button text plain icon="pi pi-info-circle" @click="toggleInfo" />
            <Popover ref="op">
                <div class="flex flex-col">
                  <p>Frontend Version: {{version}}</p>
                  <p v-if="apiVersion">API Version: {{apiVersion}}</p>
                  <a class="mt-2" href="https://adw-goe.de/germania-sacra/klosterdatenbank/datenservice" target="_blank">API Dokumentation</a>
                </div>
              <div class="icon-version flex items-center justify-center border rounded-full border-gray-800 text-xs italic" slot="reference">i</div>
            </Popover>
          </li>
        </ul>
      </nav>
      <Logo/>
    </div>
  </header>
</template>

<script>
import Title from '@/components/Title.vue';
import Logo from '@/components/Logo.vue';
import navigation from '@/mixins/navigation';

export default {
  name: 'Header',
  components: {
    Title,
    Logo,
  },
  computed: {
    version () {
      if (APP_VERSION) {
        return APP_VERSION;
      }
      return '';
    },
    apiVersion () {
      return this.$store.state.apiVersion;
    },
    navigationLinks () {
      return navigation.links;
    },
  },
  mounted () {
    this.$store.dispatch('getApiVersion');
  },
  methods: {
    toggleInfo(event) {
      this.$refs.op.toggle(event);
    }
  }
};
</script>

<style lang="scss" scoped>
.menu {
  li {
    a {
      @apply font-normal text-gray-500 no-underline;
      &:hover {
        @apply text-gray-700;
      }
      &.router-link-active {
        @apply text-primary-500;
      }
    }
  }
}

.icon-version {
  width: 18px;
  height: 18px;
  cursor: pointer;
}
</style>
